summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Eden <sven.eden@gmx.de>2012-11-14 10:13:35 +0100
committerSven Eden <sven.eden@gmx.de>2012-11-14 10:13:35 +0100
commit4b67eb3a1140c05ab5e18cf28088778f831418d9 (patch)
treef63497206c9921cf07a1e3e8d6d896b60f3ebee4
parentUpdated FreeOrion, the dependencies have changed. (diff)
downloadseden-4b67eb3a1140c05ab5e18cf28088778f831418d9.tar.gz
seden-4b67eb3a1140c05ab5e18cf28088778f831418d9.tar.bz2
seden-4b67eb3a1140c05ab5e18cf28088778f831418d9.zip
New ebuild dev-games/gigi-fo, and log4cpp unbundled from FreeOrion, now.
-rw-r--r--dev-games/gigi-fo/ChangeLog (renamed from dev-games/gigi/ChangeLog)12
-rw-r--r--dev-games/gigi-fo/Manifest4
-rw-r--r--dev-games/gigi-fo/files/unbundle-ltdl.patch (renamed from dev-games/gigi/files/unbundle-ltdl.patch)0
-rw-r--r--dev-games/gigi-fo/gigi-fo-9999.ebuild (renamed from dev-games/gigi/gigi-9999-r6.ebuild)52
-rw-r--r--dev-games/gigi-fo/metadata.xml (renamed from dev-games/gigi/metadata.xml)0
-rw-r--r--dev-games/gigi/Manifest6
-rw-r--r--dev-games/gigi/files/fix_adobe_cmath_gcc_test.patch22
-rw-r--r--dev-games/gigi/files/fix_adobe_vector.patch11
-rw-r--r--games-strategy/freeorion/ChangeLog28
-rw-r--r--games-strategy/freeorion/Manifest6
-rw-r--r--games-strategy/freeorion/files/unbundle_gigi.patch47
-rw-r--r--games-strategy/freeorion/files/unbundle_log4cpp.patch43
-rw-r--r--games-strategy/freeorion/freeorion-9999-r13.ebuild (renamed from games-strategy/freeorion/freeorion-9999-r11.ebuild)34
13 files changed, 188 insertions, 77 deletions
diff --git a/dev-games/gigi/ChangeLog b/dev-games/gigi-fo/ChangeLog
index 715a2da..c81c8fc 100644
--- a/dev-games/gigi/ChangeLog
+++ b/dev-games/gigi-fo/ChangeLog
@@ -2,6 +2,18 @@
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*gigi-fo-9999 (14 Nov 2012)
+
+ 14 Nov 2012; Sven Eden <sven.eden@gmx.de>
+ +gigi-fo-9999.ebuild,
+ -gigi-9999-r6.ebuild,
+ -files/fix_adobe_cmath_gcc_test.patch,
+ -files/fix_adobe_vector.patch:
+ Converted old (dead) dev-games/gigi to dev-games/gigi-fo, a forked
+ variant in the FreeOrion project.
+ Here the previously needed patches are no longer required.
+
+
*gigi-9999-r6 (05 Jul 2012)
05 Jul 2012; Sven Eden <sven.eden@gmx.de> +gigi-9999-r6.ebuild :
diff --git a/dev-games/gigi-fo/Manifest b/dev-games/gigi-fo/Manifest
new file mode 100644
index 0000000..addbe72
--- /dev/null
+++ b/dev-games/gigi-fo/Manifest
@@ -0,0 +1,4 @@
+AUX unbundle-ltdl.patch 2512 SHA256 17dfd37046ea8ada7c2f72ac38284ad44e71a8e6bcfe625d3d65b32934b69612 SHA512 4bc38354dcaed8eb057f148e804f34b45f0d53af1ec04f93405e24f3c2e23d61f6657e602d279d90fc99cb571cbd148d4f7cf19308a9fa79b09cb683e9ba30d8 WHIRLPOOL 26408265972ffb9450f0c2918f68a584705a278574f65a2566126a08c4cbe612b731c33cf7212c6c534c4dc3c00832b732e65f497d74e4729fd375f3d6fb841d
+EBUILD gigi-fo-9999.ebuild 2318 SHA256 9e4325bccd91e69b0ca605a73de5035eab685a8d4dd1ee6b39a47d5da0910d7a SHA512 d4c8e5291202c0e595debf21a10518412c73baa3cf9e9a64f383e0e058baeb9f398eaa663e99b06222de2304d77f8fa39e25c5863ba11039420c1f1635bb3f2c WHIRLPOOL 4240042f2ef86740af427e7cdadde1858f48ab5f996b9312693d56574d01eb70aded75b6353f8ed256097a0562b1b0b171bc65b53a939aa2ca36c013cfd69e2e
+MISC ChangeLog 1101 SHA256 1a89d50be9bc61dcbd896b7c4519bda7ff73d9faa0d936bfe5727d7a8885a497 SHA512 6fdf5828fddb86b5a584cbf2dcef474ccff6a5fe20ac08fca0ff8d217e4c3af5cc6ecebf66cf7ab36494f9619384b10e7b4dfc06719d11d4342718b855818fbd WHIRLPOOL 1c9b4cc75b3be851a146fa2851257b7156ddc33e3a77cc28439dcb348b5c8490a797b2e24279b6b89589700901cd3e512c3d26ad554a12367fa5c259222e7ece
+MISC metadata.xml 906 SHA256 c191681c53ae611d3e0eac5b1b892963913f2e86529fe63c98ad66a89b7bfe7c SHA512 96ac74219920fd20762dcc80c49ddf2a659aaeefa6c7a63fe159bb77525cea241c4c198718c07abd3685b9067a5593a9e5528d9e2830813cc02afb463d546b62 WHIRLPOOL d03f34955748ec3a8a15339db16be768c64d52bee199730654305128c913214868231bbad05e84f8b94b8dae951fe40cbb6e23f1e38de18521340b5c97bf5eba
diff --git a/dev-games/gigi/files/unbundle-ltdl.patch b/dev-games/gigi-fo/files/unbundle-ltdl.patch
index c2ebdb9..c2ebdb9 100644
--- a/dev-games/gigi/files/unbundle-ltdl.patch
+++ b/dev-games/gigi-fo/files/unbundle-ltdl.patch
diff --git a/dev-games/gigi/gigi-9999-r6.ebuild b/dev-games/gigi-fo/gigi-fo-9999.ebuild
index c75e3d3..42d1dcc 100644
--- a/dev-games/gigi/gigi-9999-r6.ebuild
+++ b/dev-games/gigi-fo/gigi-fo-9999.ebuild
@@ -6,10 +6,10 @@ EAPI=3
inherit cmake-utils subversion
-DESCRIPTION="GiGi is an OpenGL interface library"
-HOMEPAGE="http://gigi.sourceforge.net"
-ESVN_REPO_URI="https://${PN}.svn.sourceforge.net/svnroot/${PN}/trunk"
-ESVN_PROJECT="${PN}"
+DESCRIPTION="FreeOrion fork of the GiGi OpenGL interface library"
+HOMEPAGE="http://www.freeorion.org"
+ESVN_REPO_URI="https://freeorion.svn.sourceforge.net/svnroot/freeorion/trunk/FreeOrion/GG"
+ESVN_PROJECT="GG"
LICENSE="LGPL-2.1"
KEYWORDS="~amd64 ~x86"
@@ -18,40 +18,29 @@ IUSE="debug devil doc ogre ois +sdl static-libs +threads"
SLOT="0"
RDEPEND="
- >=dev-libs/boost-1.47
- media-libs/freetype
+ !dev-games/gigi
+ >=dev-libs/boost-1.50[threads=]
+ media-libs/freetype:2
x11-libs/libX11
virtual/opengl
devil? ( >=media-libs/devil-1.6.1 )
!devil? (
- media-libs/jpeg
+ virtual/jpeg
media-libs/tiff
- media-libs/libpng
+ media-libs/libpng:1.2
)
- ogre? (
- || ( >=dev-games/ogre-1.4.7[threads=]
- || ( threads? (
- || ( >=dev-games/ogre-1.7.1[boost-threads]
- >=dev-games/ogre-1.7.1[poco-threads]
- >=dev-games/ogre-1.7.1[tbb-threads]
- )
- )
- !threads? (
- >=dev-games/ogre-1.7.1[-boost-threads,-poco-threads,-tbb-threads]
- )
- )
- )
- )
+ ogre? ( >=dev-games/ogre-1.8.0[threads=] )
ois? ( dev-games/ois )
sdl? ( >=media-libs/libsdl-1.2 )
"
+
DEPEND="${RDEPEND}
dev-util/pkgconfig
sys-devel/libtool:2
doc? ( app-doc/doxygen )
"
-CMAKE_USE_DIR="${S}/GG"
+CMAKE_USE_DIR="${S}"
src_unpack() {
subversion_src_unpack
@@ -60,21 +49,16 @@ src_unpack() {
src_prepare() {
# remove libtool
cd "${CMAKE_USE_DIR}"
- rm -rf libltdl/ || die "Removing libltdl directory failed"
+ rm -rf libltdl || die "Removing libltdl directory failed"
# remove cmake calls to libtool
epatch "${FILESDIR}/unbundle-ltdl.patch"
- # fix adobe cmath test, gcc-4.7.1 has the demanded C99 cmath
- epatch "${FILESDIR}/fix_adobe_cmath_gcc_test.patch"
-
- # fix adobe vector, gcc-4.7+ no longer accepts fishy references
- epatch "${FILESDIR}/fix_adobe_vector.patch"
-
# use system headers
sed -i \
-e "s:GG/ltdl.h:ltdl.h:" \
GG/PluginInterface.h || die "switching to system ltdl.h in GG/PluginInterface.h failed"
+
# Change deprecated /usr/doc/GG to /usr/share/doc/${P}
sed -i \
-e "s:doc/GG:doc/${P}:" \
@@ -102,3 +86,11 @@ src_configure() {
cmake-utils_src_configure
}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+}
diff --git a/dev-games/gigi/metadata.xml b/dev-games/gigi-fo/metadata.xml
index 65fe564..65fe564 100644
--- a/dev-games/gigi/metadata.xml
+++ b/dev-games/gigi-fo/metadata.xml
diff --git a/dev-games/gigi/Manifest b/dev-games/gigi/Manifest
deleted file mode 100644
index 8028def..0000000
--- a/dev-games/gigi/Manifest
+++ /dev/null
@@ -1,6 +0,0 @@
-AUX fix_adobe_cmath_gcc_test.patch 736 RMD160 f112ad8ee88ec60a6f542b5fd8fb6344d6b241a6 SHA1 55253cafcf25b3ee4f16a2c56cfec1e982f1ae34 SHA256 96453914e40bc529bf8ea95c2c6755e11d7c69897e2c74f31ba24f52c10893c0
-AUX fix_adobe_vector.patch 438 RMD160 25134b2e35e8d82d7640d5bb1568a6248ccbf1ae SHA1 4eb15d0f08e974be23c69f120a3c14f438042b63 SHA256 766bfef70ebbbe92937da7860bb76c2e193f971d6cd623581314c9bf8bbfb250
-AUX unbundle-ltdl.patch 2512 RMD160 b8a50ac34f4d1fc735f651e52d7c55d944a427b9 SHA1 b5f18d9711032ac05b88712ac5a548a7463e47fe SHA256 17dfd37046ea8ada7c2f72ac38284ad44e71a8e6bcfe625d3d65b32934b69612
-EBUILD gigi-9999-r6.ebuild 2726 RMD160 8d0317dc02ac1fda436cec5ad3491cbb795bb1d8 SHA1 77d4e2f2f3faa87d193ec7a68d0003f73eb38c40 SHA256 fc3e89d450c661fb50a2d0bba9135c464fcfc5507699f591542b62eeac08811f
-MISC ChangeLog 738 RMD160 19186a4a5bf6147aed663f47b8762f22e03e66dd SHA1 50207cac275e0387edd1560895893cb664768bd1 SHA256 f44769d9530c92ecdbe9330394258818355475a33cfd7b6abdc762239077b032
-MISC metadata.xml 906 RMD160 9629337edec919d6296209ccf79fd7a6eebd01b4 SHA1 1f1a8f81b997fc6bf4879276c7e93e112d8d7dd0 SHA256 c191681c53ae611d3e0eac5b1b892963913f2e86529fe63c98ad66a89b7bfe7c
diff --git a/dev-games/gigi/files/fix_adobe_cmath_gcc_test.patch b/dev-games/gigi/files/fix_adobe_cmath_gcc_test.patch
deleted file mode 100644
index 202d43e..0000000
--- a/dev-games/gigi/files/fix_adobe_cmath_gcc_test.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- GG/GG/adobe/cmath.hpp 2012-06-15 20:39:26.000000000 +0200
-+++ GG/GG/adobe/cmath.hpp 2012-06-15 20:49:54.583897546 +0200
-@@ -35,16 +35,16 @@
- // Guessing at gcc 3 support
- #if (__GNUC__ == 3) && (__GNUC_MINOR__ > 2)
-
--#define ADOBE_HAS_CPP_CMATH
-+#define ADOBE_HAS_CPP_CMATH
-
--#elif ((__GNUC__ == 4) && (__GNUC_MINOR__ <= 6))
-+#elif ((__GNUC__ == 4) && (__GNUC_MINOR__ <= 7))
- /*
- The currently supported version of GNUC has C99 extensions in math.h. But no TR1 extensions.
- */
- #define ADOBE_HAS_C99_MATH_H
-
- #else
--#error "Unknown GCC compiler configuration for cmath (last known version is 4.0.1)."
-+#error "Unknown GCC compiler configuration for cmath (last known version is 4.7.1)."
- #endif
-
- #elif defined(_MSC_VER)
diff --git a/dev-games/gigi/files/fix_adobe_vector.patch b/dev-games/gigi/files/fix_adobe_vector.patch
deleted file mode 100644
index f728fa3..0000000
--- a/dev-games/gigi/files/fix_adobe_vector.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- GG/GG/adobe/vector.hpp 2012-07-04 19:04:56.000000000 +0200
-+++ GG/GG/adobe/vector.hpp 2012-07-05 08:35:31.826303690 +0200
-@@ -454,7 +454,7 @@
-
- if (n < after) {
- move_append(last - n, last);
-- move_backward(p, last - n, last);
-+ adobe::move_backward(p, last - n, last);
- std::fill_n(p, n, x);
- } else {
- std::uninitialized_fill_n(last, n - after, x);
diff --git a/games-strategy/freeorion/ChangeLog b/games-strategy/freeorion/ChangeLog
index 9cc45ba..236b6e4 100644
--- a/games-strategy/freeorion/ChangeLog
+++ b/games-strategy/freeorion/ChangeLog
@@ -2,7 +2,27 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
-*freeorion-9999-r1 (13 Nov 2012)
+*freeorion-9999-r13 (14 Nov 2012)
+
+ 14 Nov 2012; Sven Eden <sven.eden@gmx.de>
+ +freeorion-9999-r13.ebuild,
+ -freeorion-9999-r12.ebuild,
+ +files/unbundle_gigi.patch, +files/unbundle_log4cpp.patch:
+ FreeOrion now depends on dev-games/gigi-fo, a new ebuild to only
+ check out the freeorion bundled fork of GiGi. Furthermore log4cpp
+ is in the tree and therefore unbundled, too, now.
+
+
+*freeorion-9999-r12 (13 Nov 2012)
+
+ 13 Nov 2012; Sven Eden <sven.eden@gmx.de>
+ +freeorion-9999-r12.ebuild,
+ -freeorion-9999-r11.ebuild:
+ The FreeOrion forums informed me that GiGi is dead for months now
+ and FO has forked an own version to continue with.
+
+
+*freeorion-9999-r11 (13 Nov 2012)
13 Nov 2012; Sven Eden <sven.eden@gmx.de>
+freeorion-9999-r11.ebuild,
@@ -11,6 +31,7 @@
are no longer recent enough. Further updates to DEPEND and RDEPEND
are of more cosmetic nature.
+
*freeorion-9999-r10 (07 Nov 2012)
07 Nov 2012; Sven Eden <sven.eden@gmx.de>
@@ -18,6 +39,7 @@
-freeorion-9999-r9.ebuild:
The SVN URL has changed.
+
*freeorion-9999-r9 (12 Jun 2012)
12 Jun 2012; Sven Eden <sven.eden@gmx.de>
@@ -26,6 +48,7 @@
The previously applied patch has been accepted upstream and is noc
longer needed. (Won't apply, anyway.)
+
*freeorion-9999-r8 (20 Apr 2012)
20 Apr 2012; Sven Eden <sven.eden@gmx.de>
@@ -36,6 +59,7 @@
of files are unnecessary and are patched away now, reducing the
size by over 80,000 lines. Now it can be compiled with gcc-4.6.2.
+
*freeorion-9999-r7 (19 Apr 2012)
19 Apr 2012; Sven Eden <sven.eden@gmx.de>
@@ -45,12 +69,14 @@
ogre has been updated and does not fit any more to the old ebuilds.
Further this eliminates the nead for Cg if multi threading is wanted.
+
*freeorion-9999-r6 (26 Jun 2011)
26 Jun 2011; Sven Eden <sven.eden@gmx.de> +freeorion-9999-r6.ebuild :
- xml Use-Flag no longer needed
- FreeOrion no longer compiles against boost <1.46
+
*freeorion-9999-r5 (27 Mar 2011)
27 Mar 2011; Sven Eden <sven.eden@gmx.de> +freeorion-9999-r5.ebuild :
diff --git a/games-strategy/freeorion/Manifest b/games-strategy/freeorion/Manifest
index 5896256..108c75a 100644
--- a/games-strategy/freeorion/Manifest
+++ b/games-strategy/freeorion/Manifest
@@ -1,3 +1,5 @@
-EBUILD freeorion-9999-r11.ebuild 2392 SHA256 afdf60a601c2c6ceda4c0b8f7d9d1f68274632bfe37aa31594d9f3003fa6d862 SHA512 1f7164b779df5439f47418c848f185822b599b53d242b16a774a3935ad80d6acf92da31530237436e6a8f57c40e31fa7d2ae51700281d684d4a52afc7a4cbfab WHIRLPOOL 892bb041bd5a4c38a8546fb7b1aaa394596fb881cd0972584273fbbea6ab2011bde18b801cab41a4e81d223dc3244314c6c7b76990069183ce95705871ed39ac
-MISC ChangeLog 1878 SHA256 f0275439a48639384bf8b3a5312294008c091ae38c3a6c0191f01650cd09e2f3 SHA512 0399475559d8c2caff030189dda61705b7588bcd48e6a82d210b8022fdb378ae2374b7efe20f08621f928220177842b61d286082aca1d509c61b1b6de6d27b95 WHIRLPOOL 7699f5b7a88031125cfdd689d01e2ba63a41bebba8a2e2e9faae12533da1cf785514be5cd442c5f90a794028ed0703e518330e07db672c39154e810f9b9f47a4
+AUX unbundle_gigi.patch 1605 SHA256 2b0ca5ecd86317feb0491a71b06ad903879f75c8adcbe64a6800c5d0beb64e92 SHA512 4624cdacb998502a5ec471497da384cfbd94343d6393a330532006deae3993c5d02b55cf4e66bf2090b04f2ef53a0df02fbc13cb9dd28d47f224d8955eb1a525 WHIRLPOOL 6efb4e8d3011cfa87c5d3d7f3b5551bf5bc90eccd965cd8ed5d523800aee6a7ac84d4b10eaef370b2901b32d1300a2eca5b24d3120d84a1ad7508fe99c192939
+AUX unbundle_log4cpp.patch 1316 SHA256 3f77136b1d302d05e20cb91acd3cbb99f2e3dd88ce6614fee337202c341eb27c SHA512 afcff7c86ee63106f1c66be1ecce68f3688b1a5ad1ccaa2a97e5ba870c4fe38f4d61b846bc2ef9aeb3faeff23316527991a50f625929ac24ec100fa53f01b861 WHIRLPOOL ae7971393ec1c1566da46f9baa84b3389a32ef8e96564acfab96eb6620b1e8296f5e84173fb587c6a064c203b9c77da65c998f9fd2d786cab194515b7aceb370
+EBUILD freeorion-9999-r13.ebuild 2907 SHA256 5457e55deac46e6b70e438070e7ce38a42e5504f5f3867c5ccb19ddee596849b SHA512 922dc0f5404db42246c408cdc83db7eaa70b4511a37fe222061ce7efd38a91b17fbfd9122eb73d709045f65b2608cb29f7f4d2725a70a61c470a7ddc050e904d WHIRLPOOL df711d6e9f470fd8909f65e8d24d24c6c566c1c34e2bf00e792cbdc226581bce54219c4d0d9ef87160adf6dc19930780c2158117c30693e29f3833daa9d6c194
+MISC ChangeLog 2536 SHA256 6e236f5876e5760338e081ffa550ff229a63769a16db6676be60871e3418ccd7 SHA512 39bd4b2aecdea0c4cebd6258d403f1aebb7359cc1d352a8bdeefde9d46b2fae9f3cb8ceba7e8efc862fa8a2b49640b960012f0ba4430bec271dd902154cd53e8 WHIRLPOOL b722e20a8b9ed4756eb7a151e66fbc3521c7a9f966cb40841bd1703edf4804d41b366295e6a4e8b24aaa89d6c47d84f2d48cb65e039c33d84037e9f5c7082201
MISC metadata.xml 482 SHA256 d440736d71b8eaac1b5a2a5171274171e7b5bbbcc6d4b8d2c14fd37c36e51a96 SHA512 5a44824de173b8922658c4983437a5aed0325a0f895bf599cc689d7bc820f91313c005313f35357b2790b698e19c30139616f6d6cad841b9e799529630cbbc19 WHIRLPOOL 43c8d071ce70c235921c3604aed8b4dcd128aab86745ca9de6ce2f682a129125bdbf148f818517184b9996453a10d487f02ff3ee5901bba0e8a8990ac3fcc837
diff --git a/games-strategy/freeorion/files/unbundle_gigi.patch b/games-strategy/freeorion/files/unbundle_gigi.patch
new file mode 100644
index 0000000..57ecf95
--- /dev/null
+++ b/games-strategy/freeorion/files/unbundle_gigi.patch
@@ -0,0 +1,47 @@
+--- CMakeLists.txt~ 2012-11-14 09:51:00.000000000 +0100
++++ CMakeLists.txt 2012-11-14 09:53:20.662111051 +0100
+@@ -11,7 +11,7 @@
+ set(FREEORION_VERSION 0.4.1)
+ set(FREEORION_RELEASE false)
+
+-list(APPEND CMAKE_MODULE_PATH ${CMAKE_HOME_DIRECTORY}/cmake ${CMAKE_HOME_DIRECTORY}/GG/cmake)
++list(APPEND CMAKE_MODULE_PATH ${CMAKE_HOME_DIRECTORY}/cmake)
+ include(Config)
+ include(Util)
+
+@@ -474,13 +474,6 @@
+
+ install(
+ FILES
+- ../build/GG/CMakeCache.txt
+- DESTINATION build/GG
+- COMPONENT COMPONENT_FREEORION_BUILD_FILES_GIGI
+- )
+-
+- install(
+- FILES
+ ../build/CMakeCache.txt
+ DESTINATION build
+ COMPONENT COMPONENT_FREEORION_BUILD_FILES_FREEORION
+@@ -590,21 +583,6 @@
+ StrCpy $7 $INSTDIR
+ \\\${WordReplace} $7 \\\"\\\\\\\" \\\"/\\\" \\\"+\\\" $8
+
+- Rename $INSTDIR\\\\build\\\\GG\\\\CMakeCache.txt $INSTDIR\\\\build\\\\GG\\\\CMakeCache.txt.in
+- FileOpen $0 $INSTDIR\\\\build\\\\GG\\\\CMakeCache.txt.in r
+- FileOpen $5 $INSTDIR\\\\build\\\\GG\\\\CMakeCache.txt w
+- ClearErrors
+- loop1:
+- FileRead $0 $1
+- IfErrors done1
+- \\\${WordReplace} $1 \\\"${sdk_root}\\\" $8 \\\"+\\\" $2
+- FileWrite $5 $2
+- Goto loop1
+- done1:
+- FileClose $0
+- FileClose $5
+- Delete $INSTDIR\\\\build\\\\GG\\\\CMakeCache.txt.in
+-
+ Rename $INSTDIR\\\\build\\\\CMakeCache.txt $INSTDIR\\\\build\\\\CMakeCache.txt.in
+ FileOpen $0 $INSTDIR\\\\build\\\\CMakeCache.txt.in r
+ FileOpen $5 $INSTDIR\\\\build\\\\CMakeCache.txt w
diff --git a/games-strategy/freeorion/files/unbundle_log4cpp.patch b/games-strategy/freeorion/files/unbundle_log4cpp.patch
new file mode 100644
index 0000000..9bc24a0
--- /dev/null
+++ b/games-strategy/freeorion/files/unbundle_log4cpp.patch
@@ -0,0 +1,43 @@
+--- CMakeLists.txt~ 2012-11-14 09:53:20.000000000 +0100
++++ CMakeLists.txt 2012-11-14 10:07:07.823249858 +0100
+@@ -120,7 +120,7 @@
+ ########################################
+ # Build common code library #
+ ########################################
+-include_directories(${CMAKE_SOURCE_DIR} log4cpp)
++include_directories(${CMAKE_SOURCE_DIR})
+
+ add_definitions(-DADOBE_STD_SERIALIZATION)
+
+@@ -196,30 +196,13 @@
+ util/binreloc.c
+ util/Directories.cpp
+ util/XMLDoc.cpp
+- log4cpp/src/Appender.cpp
+- log4cpp/src/AppenderSkeleton.cpp
+- log4cpp/src/BasicLayout.cpp
+- log4cpp/src/Category.cpp
+- log4cpp/src/CategoryStream.cpp
+- log4cpp/src/Configurator.cpp
+- log4cpp/src/FactoryParams.cpp
+- log4cpp/src/FileAppender.cpp
+- log4cpp/src/HierarchyMaintainer.cpp
+- log4cpp/src/LayoutAppender.cpp
+- log4cpp/src/Localtime.cpp
+- log4cpp/src/LoggingEvent.cpp
+- log4cpp/src/NDC.cpp
+- log4cpp/src/PatternLayout.cpp
+- log4cpp/src/Priority.cpp
+- log4cpp/src/StringUtil.cpp
+- log4cpp/src/TimeStamp.cpp
+ ${CMAKE_BINARY_DIR}/util/Version.cpp
+ )
+
+ if (WIN32)
+ list(APPEND THIS_LIB_SOURCES log4cpp/src/MSThreads.cpp)
+ else ()
+- list(APPEND THIS_LIB_SOURCES log4cpp/src/PThreads.cpp)
++ list(APPEND THIS_LIB_SOURCES)
+ endif ()
+
+ library_all_variants(core)
diff --git a/games-strategy/freeorion/freeorion-9999-r11.ebuild b/games-strategy/freeorion/freeorion-9999-r13.ebuild
index 0ed5cb2..b05dcda 100644
--- a/games-strategy/freeorion/freeorion-9999-r11.ebuild
+++ b/games-strategy/freeorion/freeorion-9999-r13.ebuild
@@ -8,7 +8,7 @@ inherit cmake-utils games subversion
DESCRIPTION="FreeOrion is a free and open source clone of Master Of Orion"
HOMEPAGE="http://www.freeorion.org"
-ESVN_REPO_URI="https://${PN}.svn.sourceforge.net/svnroot/${PN}/trunk"
+ESVN_REPO_URI="https://${PN}.svn.sourceforge.net/svnroot/${PN}/trunk/FreeOrion"
ESVN_PROJECT="${PN}"
LICENSE="GPL-2 CCPL-Attribution-ShareAlike-3.0"
@@ -18,16 +18,18 @@ IUSE="cg debug threads"
SLOT="0"
RDEPEND="
- dev-games/gigi[ogre,threads=]
+ !dev-games/gigi
+ dev-games/gigi-fo[threads=,ogre,ois]
>=dev-games/ogre-1.8.0[threads=]
<dev-lang/python-3
- >=dev-libs/boost-1.50
+ >=dev-libs/boost-1.50[threads=]
media-gfx/graphviz
>=media-libs/freealut-1.1.0
>=media-libs/libogg-1.3.0
>=media-libs/libvorbis-1.3.2
>=media-libs/openal-1.14
>=sci-physics/bullet-2.77
+ dev-libs/log4cpp
media-libs/libpng:1.2
media-libs/freetype:2
>=sys-libs/zlib-1.2.5"
@@ -36,14 +38,32 @@ DEPEND="${RDEPEND}
sys-devel/libtool
dev-util/pkgconfig"
-CMAKE_USE_DIR="${S}/FreeOrion"
+CMAKE_USE_DIR="${S}"
+
+src_unpack() {
+ subversion_src_unpack
+}
src_prepare() {
# Let's make the autorevision work.
subversion_wc_info
sed -i -e \
"s:svn_revision_number ???:svn_revision_number ${ESVN_WC_REVISION}:" \
- FreeOrion/CMakeLists.txt || die "sed FreeOrion/CMakeLists.txt failed"
+ CMakeLists.txt || die "sed FreeOrion/CMakeLists.txt failed"
+
+ # remove GiGi, use dev-games/gigi-fo instead
+ cd "${CMAKE_USE_DIR}"
+ rm -rf GG || die "Removing GG directory failed"
+
+ # remove cmake calls to GG
+ epatch "${FILESDIR}/unbundle_gigi.patch"
+
+ # remove log4cpp. it's in the tree
+ cd "${CMAKE_USE_DIR}"
+ rm -rf log4cpp || die "Removing log4cpp directory failed"
+
+ # remove cmake calls to log4cpp
+ epatch "${FILESDIR}/unbundle_log4cpp.patch"
}
src_configure() {
@@ -73,6 +93,10 @@ src_configure() {
cmake-utils_src_configure
}
+src_compile() {
+ cmake-utils_src_compile
+}
+
src_install() {
cmake-utils_src_install